#include<bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    long long n;
    cin>>n;

    if(n <= 1) cout<<"-1";
    else {
        long long br1 = 0, br7 = 0;
        if(n % 2 == 1) {
            br1 = (n-3)/2;
            br7 = 1;
        }else{
            br1 = n/2;
            br7 = 0;
        }
        for(long long i = 0; i < br7; i++) cout<<'7';
        for(long long i = 0; i < br1; i++) cout<<'1';
    }
    cout<<endl;

    return 0;
}
